import Vue from 'vue'

import MTabBar from "./m-tab-bar.vue"
import MNavBar from "./m-nav-bar.vue"
import MIcon from "./m-icon.vue"
import MPrice from "./m-price.vue"
import MSteper from './m-steper'
import MFormItem from "./m-form-item"
import MNumKeyboard from "./m-num-keyboard"
import MTabs from "./m-tabs"
import MStar from "./m-star"
import MUpload from "./m-upload"
import MSteps from "./m-steps"
import MInput from "./m-input"
import MNoData from "./m-no-data"

Vue.component('m-tab-bar', MTabBar)
Vue.component('m-nav-bar', MNavBar)
Vue.component('m-icon', MIcon)
Vue.component('m-price', MPrice)
Vue.component('m-steper', MSteper)
Vue.component('m-form-item', MFormItem)
Vue.component('m-num-keyboard', MNumKeyboard)
Vue.component('m-tabs', MTabs)
Vue.component('m-star', MStar)
Vue.component('m-upload', MUpload)
Vue.component('m-steps', MSteps)
Vue.component('m-input', MInput)
Vue.component('m-no-data', MNoData)
import MConfirm from './m-confirm'
Vue.prototype.$confirm = MConfirm
